Bug 29870 - RedHat 6.2 KDE 2.1 arts rpm doesn't support OSS
RedHat 6.2 KDE 2.1 arts rpm doesn't support OSS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kde2libs (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
ftp://ftp.kde.org/pub/kde/stable/2.1/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-27 16:37 EST by Martin Junius
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-28 05:41:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Junius 2001-02-27 16:37:57 EST
The new arts-2.1 rpm for KDE 2.1 / RedHat 6.2 doesn't work properly,
artsd doesn't start, thus no sound.

artsd -A outputs:

possible choices for the audio i/o method:
 
  null      No audio input/output

(support of "oss ..." is missing!)

Compiling arts from the kdelibs-2.1 sources works just fine.
BTW: artsd in your rpm is a ELF binary, artsd in kdelibs-2.1 a shell 
script!?!

Martin
Comment 1 Bernhard Rosenkraenzer 2001-03-02 03:36:15 EST
artsd is never a shell script. What you're seeing in the source tree is one of
the libtool uglynesses.
As for missing OSS support, I don't see why it's happening immediately and don't
have the time to debug this at the moment (getting the next version ready is
much more important than getting new features to old versions). It works for
7.x.
I'll take a look at this after the engineering freeze for the next version of
Red Hat Linux.

Note You need to log in before you can comment on or make changes to this bug.